classification
Title: pyw.exe opens console window in Windows 10
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: Andrew Ushakov, Harmon758, lukasz.langa, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: 3.8regression, patch

Created on 2019-10-03 09:53 by Andrew Ushakov, last changed 2019-10-14 21:45 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16561 merged steve.dower, 2019-10-03 15:09
PR 16564 merged miss-islington, 2019-10-03 15:31
Messages (6)
msg353836 - (view) Author: Andrew Ushakov (Andrew Ushakov) Date: 2019-10-03 09:53
pyw.exe (Python Launcher for Windows Version 3.8.121.1013) opens a console window at startup. To reproduce, run command below from the console:

D:>pyw -c "import time; time.sleep(10)"

By the way command:

D:>pythomw -c "import time; time.sleep(10)"

works as expected, silently.
msg353852 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-03 14:50
I know what this is - in issue38133 I added support for the PEP 514 ExecutablePath key, but didn't add a check for WindowedExecutablePath for the pyw.exe case.

I'll add it.
msg353856 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-03 15:31
New changeset 353fb1ecbfd58752dabae115c4964095e1e35e5f by Steve Dower in branch 'master':
bpo-38359: Ensures pyw.exe launcher reads correct registry key (GH-16561)
https://github.com/python/cpython/commit/353fb1ecbfd58752dabae115c4964095e1e35e5f
msg353862 - (view) Author: miss-islington (miss-islington) Date: 2019-10-03 15:51
New changeset e74fa70bcc379de1ce956273c5386fc8a7b9c5e6 by Miss Islington (bot) in branch '3.8':
bpo-38359: Ensures pyw.exe launcher reads correct registry key (GH-16561)
https://github.com/python/cpython/commit/e74fa70bcc379de1ce956273c5386fc8a7b9c5e6
msg353864 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-03 16:12
This is resolved as far as I'm concerned - leaving open for Łukasz to cherrypick and close.
msg354666 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-10-14 21:45
(3.8.0 is released with this fix)
History
Date User Action Args
2019-10-14 21:45:39lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg354666

stage: commit review -> resolved
2019-10-13 03:46:31Harmon758setnosy: + Harmon758
2019-10-10 23:46:23aerossetstage: backport needed -> commit review
2019-10-03 16:12:02steve.dowersetmessages: + msg353864
stage: patch review -> backport needed
2019-10-03 15:51:16miss-islingtonsetnosy: + miss-islington
messages: + msg353862
2019-10-03 15:31:38miss-islingtonsetpull_requests: + pull_request16155
2019-10-03 15:31:24steve.dowersetmessages: + msg353856
2019-10-03 15:09:12steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request16152
2019-10-03 14:56:38steve.dowersetpriority: normal -> release blocker
nosy: + lukasz.langa
2019-10-03 14:50:51steve.dowersetkeywords: + 3.8regression
assignee: steve.dower
messages: + msg353852

versions: + Python 3.9
2019-10-03 09:53:25Andrew Ushakovcreate